Last Comment Bug 793972 - Details button on crashreporter dialogue doesn't work
: Details button on crashreporter dialogue doesn't work
Status: VERIFIED FIXED
: regression
Product: Toolkit
Classification: Components
Component: Breakpad Integration (show other bugs)
: 13 Branch
: All Windows 7
: -- normal (vote)
: mozilla21
Assigned To: Vladan Djeric (:vladan)
: Manuela Muntean [Away]
Mentors:
Depends on:
Blocks: 602565
  Show dependency treegraph
 
Reported: 2012-09-25 00:03 PDT by david.smitmanis
Modified: 2013-05-03 00:14 PDT (History)
10 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
wontfix
verified
verified
20+


Attachments
Use a RichEdit v4.1 control in the "Details" dialog (955 bytes, patch)
2013-01-31 16:37 PST, Vladan Djeric (:vladan)
ted: review+
akeybl: approval‑mozilla‑aurora+
akeybl: approval‑mozilla‑beta-
Details | Diff | Review

Description david.smitmanis 2012-09-25 00:03:54 PDT
To reproduce: get a crash, check the "Tell Mozilla" box, click on the "Details" button. Nothing happens.
Comment 1 Scoobidiver (away) 2012-09-25 02:35:23 PDT
It's applicable to all channels including Release.
Comment 2 Alice0775 White 2012-09-25 04:26:17 PDT
Regression window(m-c)
Good:
http://hg.mozilla.org/mozilla-central/rev/e61a169463c6
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:13.0) Gecko/20120222 Firefox/13.0a1 ID:20120222095919
Bad:
http://hg.mozilla.org/mozilla-central/rev/49956e0cc0bb
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:13.0) Gecko/20120222 Firefox/13.0a1 ID:20120222142417
Pushlog:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=e61a169463c6&tochange=49956e0cc0bb

Regression window(m-i)
Good:
http://hg.mozilla.org/integration/mozilla-inbound/rev/23fef78981b5
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:13.0) Gecko/20120222 Firefox/13.0a1 ID:20120222034818
Bad:
http://hg.mozilla.org/integration/mozilla-inbound/rev/4720524d2eab
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:13.0) Gecko/20120222 Firefox/13.0a1 ID:20120222045818
Pushlog:
http://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?fromchange=23fef78981b5&tochange=4720524d2eab


Suspected: 
4720524d2eab	Ted Mielczarek — bug 602565 - Make crashreporter client use Rich Edit 4.1 control to fix display of Indic scripts. r=ehsan
Comment 3 Cork 2012-09-25 22:35:37 PDT
Just so that its said, wfm on linux, so it seams to be windows only.
Comment 4 Ted Mielczarek [:ted.mielczarek] 2012-09-26 06:34:08 PDT
That's not terribly surprising since each platform has its own separate UI implementation, but thanks for checking that.
Comment 5 Vladan Djeric (:vladan) 2013-01-29 15:38:02 PST
I'm still seeing this behavior
Comment 6 Vladan Djeric (:vladan) 2013-01-29 15:38:34 PST
(In reply to Vladan Djeric (:vladan) from comment #5)
> I'm still seeing this behavior

.. on Windows after every crash
Comment 7 Vladan Djeric (:vladan) 2013-01-31 16:37:18 PST
Created attachment 708846 [details] [diff] [review]
Use a RichEdit v4.1 control in the "Details" dialog

I tested Ted's idea to use a RichEdit v4.1 control in this dialog. I can confirm it fixes the problem on Windows. We might want to uplift this fix.
Comment 8 Ted Mielczarek [:ted.mielczarek] 2013-02-01 03:35:31 PST
Comment on attachment 708846 [details] [diff] [review]
Use a RichEdit v4.1 control in the "Details" dialog

Review of attachment 708846 [details] [diff] [review]:
-----------------------------------------------------------------

Sorry for missing that. This is a trivial fix and I would support landing it on any branch.
Comment 10 Vladan Djeric (:vladan) 2013-02-02 18:34:55 PST
Comment on attachment 708846 [details] [diff] [review]
Use a RichEdit v4.1 control in the "Details" dialog

[Approval Request Comment]
Bug caused by (feature/regressing bug #): 602565
User impact if declined: The "Details" button in the Crash Reporter dialog will not work
Testing completed (on m-c, etc.): Built locally and confirmed the "Details" button works again. mozilla-inbound tests passed
Risk to taking this patch (and alternatives if risky): None, if this patch does not work, the "Details" button will remain broken
String or UUID changes made by this patch: None
Comment 11 Phil Ringnalda (:philor) 2013-02-03 12:40:58 PST
https://hg.mozilla.org/mozilla-central/rev/83be9ac1f2eb
Comment 12 Alex Keybl [:akeybl] 2013-02-04 15:58:35 PST
Comment on attachment 708846 [details] [diff] [review]
Use a RichEdit v4.1 control in the "Details" dialog

I don't think we can 100% guarantee that the only possible regression here would be a still non-functioning button. This is a longstanding issue, and therefore does not require an urgent fix. We should be very cautious when making any changes to crash reporting. Please uplift to Aurora. Thanks!
Comment 13 Ryan VanderMeulen [:RyanVM] 2013-02-04 17:55:09 PST
https://hg.mozilla.org/releases/mozilla-aurora/rev/7ae9da4c4e50
Comment 14 Manuela Muntean [Away] 2013-03-01 07:09:19 PST
Verified with Firefox 20 beta 2 (build ID: 20130227063501), on a Windows 7 64-bit machine.

To test this, I've done:

1) Install Crash me! add-on
2) Provoke a crash
3) Check the "Tell Mozilla" box
4) Click on the "Details" button. A dialog shows, providing the requested information
Comment 15 Mihai Morar, (:MihaiMorar) 2013-05-03 00:14:54 PDT
Verified as Fixed on FF 21b6 on Windows 7 x64
20130430204233

Note You need to log in before you can comment on or make changes to this bug.